uk.ac.starlink.votable

## Class VOSerializerConfig

- java.lang.Object
- - uk.ac.starlink.votable.VOSerializerConfig

-     public class VOSerializerConfig
      extends java.lang.Object

  Encapsulates configuration information for the details of setting up a VOSerializer object.
  Since:
    19 Jun 2025

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VOSerializerConfig(DataFormat dataFormat, VOTableVersion version, StringElementSizer stringSizer, boolean preserveDatatypes)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataFormat` | `getDataFormat()` Returns the VOTable serialization format.
    `StringElementSizer` | `getStringSizer()` Returns an object that can determine the lengths of string array elements.
    `VOTableVersion` | `getVersion()` Returns the output VOTable version.
    `boolean` | `isPreserveDatatypes()` Indicates whether the serializer should try to keep datatypes as per input data, or whether it may adjust them to produce cleaner output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VOSerializerConfig

          public VOSerializerConfig(DataFormat dataFormat,
                                    VOTableVersion version,
                                    StringElementSizer stringSizer,
                                    boolean preserveDatatypes)

      Constructor.
      Parameters:
        `dataFormat` - serialization format
        `version` - VOTable output version
        `stringSizer` - object that can determine lengths of string array elements
        `preserveDatatypes` - if true, do not attempt to improve matters by choosing more appropriate datatypes

  - ### Method Detail

    - #### getDataFormat

          public DataFormat getDataFormat()

      Returns the VOTable serialization format.
      Returns:
        serialization format

    - #### getVersion

          public VOTableVersion getVersion()

      Returns the output VOTable version.
      Returns:
        VOTable version

    - #### getStringSizer

          public StringElementSizer getStringSizer()

      Returns an object that can determine the lengths of string array elements.
      Returns:
        string array element sizer

    - #### isPreserveDatatypes

          public boolean isPreserveDatatypes()

      Indicates whether the serializer should try to keep datatypes as per input data, or whether it may adjust them to produce cleaner output.
      Returns:
        true if serialization should avoid changing datatypes